Bug 622344 - "Additional confirmation required" window too large for screen
"Additional confirmation required" window too large for screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 22:50 EDT by hal
Modified: 2012-02-14 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initial update screenshot (438.75 KB, image/png)
2010-08-09 16:08 EDT, hal
no flags Details
second update screenshot (453.48 KB, image/png)
2010-08-09 16:08 EDT, hal
no flags Details
confirmation dialog that runs off the bottom of the screen (419.26 KB, image/png)
2010-08-09 16:09 EDT, hal
no flags Details
The confirmation popup is too big to for the commit or apply button to appear (181.32 KB, image/png)
2010-10-20 15:12 EDT, Rob Sanders
no flags Details

  None (edit)
Description hal 2010-08-08 22:50:07 EDT
Description of problem: "Additional confirmation required" dialog won't fit on a 1024x768 screen if there are too many packages.

Version-Release number of selected component (if applicable): Fresh fedora 13 install with packagekit-0.6.6-1.fc13 (i686) update

How reproducible: always

Steps to Reproduce:
1. Install a fresh i386 distribution from the DVD with default options and "software developer configuration" selected

2. After installation, run System>Administration>Software Update.  This installs new versions of packagekit and two other packages. 

3. Run System>Administration>Software Update a second time.  This time there are 476 updates.  Click ok to proceed.  The "Additional confirmation required" dialog appears with 7 packages listed in the top "needs to be installed" window and 5 packages in the bottom "needs to be removed" list.
  
Actual results:  The "confirmation required" dialog is too tall to fit on a 1024x768 screen.  The ok/cancel buttons are drawn off the bottom of the screen, and there's no way to move the dialog window to make them visible.


Expected results: Dialog should fit on the screen so the buttons can be clicked.


Additional info:
Comment 1 Richard Hughes 2010-08-09 04:41:37 EDT
Could you get me a screeshot please? I thought we fixed this bug with a gnome-packagekit update. Thanks.
Comment 2 hal 2010-08-09 16:08:09 EDT
Created attachment 437696 [details]
initial update screenshot
Comment 3 hal 2010-08-09 16:08:46 EDT
Created attachment 437697 [details]
second update screenshot
Comment 4 hal 2010-08-09 16:09:38 EDT
Created attachment 437698 [details]
confirmation dialog that runs off the bottom of the screen
Comment 5 hal 2010-08-09 16:11:43 EDT
Sorry for so many individual attachments - didn't figure out how to send them all at once.

The first two screenshots show the initial update that includes packagekit, and the second one that lists gnome-packagekit.  That second one is the problem, and the third png shows the dialog box from it that runs off the bottom of the screen.
Comment 6 Rob Sanders 2010-10-20 15:12:00 EDT
Created attachment 454648 [details]
The confirmation popup is too big to for the commit or apply button to appear

Running Fedora 14 RC1. From Top menu picked Add/Remove Software. Chose Package Collections and then Development Libraries.

The Confirmation popup window then appeared as shown in the screenshot. The confirmation popup cannot be rescaled to allow the widget/button that the user is supposed to click on to appear on the screen, at least in some display configurations.
Comment 7 Adam Williamson 2010-11-08 13:45:22 EST
I just saw this in a VM updating F14 to Rawhide: on the initial yum/packagekit update, you get an 'Additional Confirmation Required' window too tall for the screen (VM is 1024x768 or 800x600, I forget).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2011-06-01 07:50:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-28 10:48:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Thomas Hedden 2012-02-14 18:35:58 EST
I am having the same problem updating Fedora 15.
I think that this bug should be reopened and the version changed to at least 15.
At the very least, you should post a workaround, for example, press the tab key (once? twice? three times?) to change the focus to the OK button so that the dialog box can be acknowledged, allowing the update to proceed.
Tom

Note You need to log in before you can comment on or make changes to this bug.